"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Converts a {@see RgbaColor} into its hexadecimal representation.
 *
 * @param r
 * @param g
 * @param b
 */
const convertRgbToHex = ({ r, g, b }) => `#${componentToHex(r)}${componentToHex(g)}${componentToHex(b)}`.toUpperCase();
exports.default = convertRgbToHex;
const componentToHex = (c) => Math.floor(c).toString(16).padStart(2, '0');
//# sourceMappingURL=convertRgbToHex.js.map